org.eclipse.rdf4j.common.webapp

## Class CommonValuesHandlerInterceptor

- java.lang.Object
- - org.eclipse.rdf4j.common.webapp.CommonValuesHandlerInterceptor

- All Implemented Interfaces:
    org.springframework.web.servlet.HandlerInterceptor

      public class CommonValuesHandlerInterceptor
      extends Object
      implements org.springframework.web.servlet.HandlerInterceptor

  Interceptor that inserts some commonly used values into the model. The inserted values are: - path, equal to request.getContextPath() (e.g. /context) - basePath, equal to the fully qualified context path (e.g. http://www.example.com/context/) - currentYear, equal to the current year
  Author:
    Herko ter Horst

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommonValuesHandlerInterceptor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterCompletion(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, Object handler, Exception ex)`
    `void` | `postHandle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, Object handler, org.springframework.web.servlet.ModelAndView mav)`
    `boolean` | `preHandle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, Object handler)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommonValuesHandlerInterceptor

          public CommonValuesHandlerInterceptor()

  - ### Method Detail

    - #### afterCompletion

          public void afterCompletion(javax.servlet.http.HttpServletRequest request,
                                      javax.servlet.http.HttpServletResponse response,
                                      Object handler,
                                      Exception ex)

      Specified by:
        `afterCompletion` in interface `org.springframework.web.servlet.HandlerInterceptor`

    - #### postHandle

          public void postHandle(javax.servlet.http.HttpServletRequest request,
                                 javax.servlet.http.HttpServletResponse response,
                                 Object handler,
                                 org.springframework.web.servlet.ModelAndView mav)

      Specified by:
        `postHandle` in interface `org.springframework.web.servlet.HandlerInterceptor`

    - #### preHandle

          public boolean preHandle(javax.servlet.http.HttpServletRequest request,
                                   javax.servlet.http.HttpServletResponse response,
                                   Object handler)
                            throws Exception

      Specified by:
        `preHandle` in interface `org.springframework.web.servlet.HandlerInterceptor`
      Throws:
        `Exception`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.